# (NEW!) Asset History COMING SOON! This endpoint returns a complete history of all events Endpoint: GET /asset/{id}/history Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Path parameters: - `id` (string,null) The id parameter can be used to filter response results based on a specific resource in Tenovos, such as the unique id of an Asset, Collection, Story Board, etc. When used to filter event history, only event types and events specifically associated to the resource provided will be returned. This mean event types such as user.created, security.template.created, etc., will be filtered out any time this parameter is provided. A 36-character UUID representing the resource. Example: "b84ac1dc-30ed-4741-8f8d-47ef2635950b" ## Query parameters: - `userId` (string,null) The userId parameter can be used to filter response results based on a specific User in Tenovos. When used to filter event history, only events specifically associated to the User ID provided will be returned. A 36-character UUID representing the User. Example: "cd0caff5-2756-4d7c-a43d-a926a81fa9b8" - `eventType` (string,null) The event type parameter can be used to filter response results based on the type of event. For a full list of available types, please refer to the Event Types page for an up-to-date list of available values. Example: "asset.created" - `startDate` (string,null) The start of the date range for event history. If not specified, the previous 12 months of events will be returned. Format: Full datetime (YYYY-MM-DDTHH:mm:ssZ) for compatibility. Must be URL-encoded if using the full datetime. Example: "2024-10-12T15:27:59Z" - `endDate` (string,null) The end of the date range for event history. If not specified, the previous 12 months of events will be returned. Format: Full datetime (YYYY-MM-DDTHH:mm:ssZ) for compatibility. Must be URL-encoded if using the full datetime. Example: "2024-11-09T08:14:56Z" - `limit` (number,null) The limit parameter can be used to limit the response results for each request. When used for event history, the minimum recommended pageSize is 100. Based on the limiting scope of your query parameters, pageSize can be increased to 1000. Example: 500 - `cursor` (string,null) Provides the cursor for the next result set. Can be either the response value for nextCursor or prevCursor depending on the desired pagination direction. Example: "eyJvZmZzZXQiOjIwMH0" ## Response 200 fields (application/json): - `total` (integer) total number of results based on query parameters provided. Example: 798054 - `limit` (number) Reflects the value provided (or the default) for the total number of results to limit the response size per request. Example: 100 - `nextCursor` (string) Provides the cursor for the next page of results. If no more pages exist, this field can be null or omitted. Example: "eyJvZmZzZXQiOjIwMH0" - `prevCursor` (string) Provides the cursor for the previous page of results. If no previous page exists, i.e., current response is the first page, this field can be null or omitted. Example: "kmFvYmBzZXQiOjIwNJ0" - `events` (array) - `events.eventType` (string) Combination of the Topic and the Event Example: "asset.created" - `events.id` (string) Unique identifier of the webhook event itself Example: "some-event-type-d231cf1d-86b2-436e-95de-b745c39d2ed5" - `events.time` (string) Date/Time that the webhook event occurred. Example: "2024-05-09T17:55:28.462Z" - `events.user` (object) - `events.user.id` (string) The Tenovos User ID for the user who caused the event Example: "7d675ef0-f423-11e9-8071-89c0c405214e" - `events.user.firstName` (string) First Name of the User Example: "Erlich" - `events.user.lastName` (string) Last Name of the User Example: "Bachman" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 503 fields